HMWJZoneHeader Struct Reference

a class use to store the classic header find before file zone More...

`#include <HMWJParser.hxx>`

## Public Member Functions

| HMWJZoneHeader (bool isMain)
| constructor More...

## Public Attributes

long | m_length
| the zone size More...
int | m_n
| the number of item More...
int | m_fieldSize
| the field size More...
long | m_id
| the zone id More...
int | m_values [4]
| 4 unknown field : freeN?, totalN?, totalN1?, ? More...
bool | m_isMain
| true if this is the main header More...

## Friends

std::ostream & | operator<< (std::ostream &o, HMWJZoneHeader const &h)
| operator<< More...

## Detailed Description

a class use to store the classic header find before file zone

## Constructor & Destructor Documentation

HMWJZoneHeader::HMWJZoneHeader | ( | bool | isMain | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HMWJZoneHeader const & | h
| ) |  |

friend

operator<<

## Member Data Documentation

int HMWJZoneHeader::m_fieldSize

the field size

Referenced by HMWJParser::readClassicHeader(), HMWJText::readFonts(), HMWJGraph::readFrames(), HMWJText::readFtnPos(), HMWJGraph::readGraphData(), HMWJGraph::readGroupData(), HMWJText::readParagraphs(), HMWJText::readSections(), HMWJText::readStyles(), HMWJGraph::readTable(), HMWJGraph::readTableFormatsList(), HMWJText::readTextToken(), HMWJText::readTextZone(), HMWJText::readTextZonesList(), HMWJParser::readZoneA(), and HMWJParser::readZoneB().

long HMWJZoneHeader::m_id

the zone id

Referenced by HMWJParser::readClassicHeader().

bool HMWJZoneHeader::m_isMain

true if this is the main header

Referenced by HMWJParser::readClassicHeader().

long HMWJZoneHeader::m_length

the zone size

Referenced by HMWJParser::readClassicHeader(), HMWJText::readFonts(), HMWJGraph::readFrames(), HMWJText::readFtnPos(), HMWJGraph::readGraphData(), HMWJGraph::readGroupData(), HMWJText::readParagraphs(), HMWJText::readSections(), HMWJText::readStyles(), HMWJGraph::readTable(), HMWJGraph::readTableFormatsList(), HMWJText::readTextToken(), HMWJText::readTextZone(), HMWJText::readTextZonesList(), HMWJParser::readZoneA(), and HMWJParser::readZoneB().

int HMWJZoneHeader::m_n

the number of item

Referenced by HMWJParser::readClassicHeader(), HMWJGraph::readFrames(), HMWJText::readFtnPos(), HMWJGraph::readTable(), HMWJText::readTextToken(), HMWJParser::readZoneA(), and HMWJParser::readZoneB().

int HMWJZoneHeader::m_values[4]

4 unknown field : freeN?, totalN?, totalN1?, ?

Referenced by HMWJZoneHeader(), and HMWJParser::readClassicHeader().

The documentation for this struct was generated from the following file:

- HMWJParser.hxx